Module tdlight.api
Package it.tdlight.jni

# Class TdApi.AuthenticationCodeTypeCall

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.AuthenticationCodeType
it.tdlight.jni.TdApi.AuthenticationCodeTypeCall

Enclosing class:
  TdApi

public static final class TdApi.AuthenticationCodeTypeCall extends TdApi.AuthenticationCodeType
An authentication code is delivered via a phone call to the specified phone number.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`int`
`length`
Length of the code.

## Constructor Summary

Constructors
Constructor
Description
`AuthenticationCodeTypeCall()`
An authentication code is delivered via a phone call to the specified phone number.
`AuthenticationCodeTypeCall(int length)`
An authentication code is delivered via a phone call to the specified phone number.
`AuthenticationCodeTypeCall(DataInput input)`
An authentication code is delivered via a phone call to the specified phone number.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### length

public int length
Length of the code.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### AuthenticationCodeTypeCall

public AuthenticationCodeTypeCall()
An authentication code is delivered via a phone call to the specified phone number.

### AuthenticationCodeTypeCall

public AuthenticationCodeTypeCall(int length)
An authentication code is delivered via a phone call to the specified phone number.

Parameters:
  `length` - int Length of the code.

### AuthenticationCodeTypeCall

public AuthenticationCodeTypeCall(DataInput input) throws IOException
An authentication code is delivered via a phone call to the specified phone number.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`